Index: src/com/example/helloandroid/GameView.java
===================================================================
--- src/com/example/helloandroid/GameView.java	(revision 04a9a002e3f7eddbeb5eccf3d67acae6da0e7da8)
+++ src/com/example/helloandroid/GameView.java	(revision 9d030cba71caae983d658b0d8f9eca82968ad2a3)
@@ -10,4 +10,6 @@
 import android.graphics.Color;
 import android.graphics.Paint;
+import android.graphics.RectF;
+import android.graphics.Paint.FontMetrics;
 import android.os.Bundle;
 import android.os.Handler;
@@ -77,4 +79,6 @@
         public ArrayList<Fleet> fleets;
         public Planet planetSelected;
+        
+        int mFleetSize;
 
         public DrawingThread(SurfaceHolder surfaceHolder, Context context,
@@ -101,4 +105,6 @@
             
             fleets = new ArrayList<Fleet>();
+            
+            mFleetSize = 50;
         }
 
@@ -236,6 +242,6 @@
 	                	if(Planet.collisionDetected(p, planets)) {
 	                		x--;
-	                	}else if(p.getX()-p.getRadius() < 0 || mCanvasWidth<=p.getX()+p.getRadius() ||
-	                			 p.getY()-p.getRadius() < 0 || mCanvasHeight<=p.getY()+p.getRadius()) {
+	                	}else if(p.getX()-p.getRadius() < 0 || mCanvasWidth-20<=p.getX()+p.getRadius() ||
+	                			 p.getY()-p.getRadius() < 0 || mCanvasHeight-20<=p.getY()+p.getRadius()) {
 	                		x--;
 	                	}else {
@@ -340,4 +346,19 @@
             	}
         	}
+        	
+        	float textSize = mTextPaint.getTextSize();
+        	mTextPaint.setTextSize(24);
+        	FontMetrics metrics = mTextPaint.getFontMetrics();
+        	mTextPaint.setColor(Color.WHITE);
+        	
+        	canvas.drawText(mFleetSize+"%", mCanvasWidth-mTextPaint.measureText(mFleetSize+"%"), mCanvasHeight-20-(metrics.ascent+metrics.descent), mTextPaint);
+        	
+        	mTextPaint.setTextSize(textSize);
+        	
+        	mLinePaint.setColor(Color.YELLOW);
+        	canvas.drawRoundRect(new RectF(70, mCanvasHeight-15, mCanvasWidth-70, mCanvasHeight-5), 5, 5, mLinePaint);
+        	
+        	mLinePaint.setColor(Color.GREEN);
+        	canvas.drawRoundRect(new RectF(70, mCanvasHeight-15, 70+(mCanvasWidth-140)*mFleetSize/100, mCanvasHeight-5), 5, 5, mLinePaint);
         }
 
@@ -366,7 +387,7 @@
             	while(i.hasNext()){
             		f = i.next();
-            		if(f.getNumShips() == 0)
+            		if(f.getNumShips() == 0) {
             			i.remove();
-            		else
+            		}else
             			f.update(planets);
             	}
@@ -408,37 +429,41 @@
     	Log.i("Gencon", "Detected touch event");
     	
-    	if(event.getAction() != MotionEvent.ACTION_DOWN)
-    		return true;
-    	
-    	synchronized(thread.planetsLock) {
-    		if(thread.planetSelected != null) {
-    			Planet target = null;
-    			
-    			for(Planet p : thread.planets) {
-		        	if(p.contains((int)event.getX(), (int)event.getY())) {
-		        		target = p;
-		        		break;
-		        	}
-		        }
-    			
-    			if(target != null && thread.planetSelected.getFaction() != 0) {
-    				synchronized(thread.fleetsLock) {
-    	                	Fleet f = new Fleet(thread.planetSelected, target, 1, 1);
-    	                	f.setFaction(thread.planetSelected.getFaction());
-    	                	thread.fleets.add(f);
-                    }
-    			}
-    				
-    			thread.planetSelected.unselect();
-    			thread.planetSelected = null;
-    		}else {
-		        for(Planet p : thread.planets) {
-		        	if(p.contains((int)event.getX(), (int)event.getY())) {
-		        		p.select();
-		        		thread.planetSelected = p;
-		        		break;
-		        	}
-		        }
+    	if(event.getAction() == MotionEvent.ACTION_UP) {
+    		if(70 <= event.getX() && event.getX() <= thread.mCanvasWidth-70 &&
+    		   thread.mCanvasHeight-15 <= event.getY() && event.getY() <= thread.mCanvasHeight-5) {
+    			thread.mFleetSize = ((int)event.getX()-70)*100/(thread.mCanvasWidth-140);
     		}
+    	}else if(event.getAction() == MotionEvent.ACTION_DOWN) {
+	    	synchronized(thread.planetsLock) {
+	    		if(thread.planetSelected != null) {
+	    			Planet target = null;
+	    			
+	    			for(Planet p : thread.planets) {
+			        	if(p.contains((int)event.getX(), (int)event.getY())) {
+			        		target = p;
+			        		break;
+			        	}
+			        }
+	    			
+	    			if(target != null && target != thread.planetSelected && thread.planetSelected.getFaction() != 0) {
+	    				synchronized(thread.fleetsLock) {
+	    	                	Fleet f = new Fleet(thread.planetSelected, target, thread.planetSelected.getNumShips()*thread.mFleetSize/100, thread.planetSelected.getFaction());
+	    	                	f.setFaction(thread.planetSelected.getFaction());
+	    	                	thread.fleets.add(f);
+	                    }
+	    			}
+	    				
+	    			thread.planetSelected.unselect();
+	    			thread.planetSelected = null;
+	    		}else {
+			        for(Planet p : thread.planets) {
+			        	if(p.contains((int)event.getX(), (int)event.getY())) {
+			        		p.select();
+			        		thread.planetSelected = p;
+			        		break;
+			        	}
+			        }
+	    		}
+	    	}
     	}
         
